%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-nova
Version:        12.4.0
Release:        6%{?dist}
Summary:        Puppet module for OpenStack Nova
License:        ASL 2.0

URL:            https://launchpad.net/puppet-nova

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=12.4.0
Patch0001: 0001-Add-the-option-to-only-aggregate-hosts-that-are-know.patch
Patch0002: 0002-Handle-libvirt-cpu_model_extra_flags-option.patch
Patch0003: 0003-Expose-rx-tx_queue_size.patch
Patch0004: 0004-Allow-live_migration_inbound_addr-to-be-used-with-no.patch
Patch0005: 0005-Expose-reserved_huge_pages-param.patch
Patch0006: 0006-Add-aggregate-metadata-unset-support-to-nova_aggrega.patch
Patch0007: 0007-Lift-restriction-of-choices-for-cpu_model_extra_flag.patch

BuildArch:      noarch

Requires:       puppet-cinder
Requires:       puppet-glance
Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-rabbitmq
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Nova

%prep
%setup -q -n openstack-nova-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/
rm -f %{buildroot}/%{_datadir}/openstack-puppet/modules/nova/files/nova-novncproxy.init

%files
%{_datadir}/openstack-puppet/modules/nova/


%changelog
* Mon Jul 30 2018 Rajesh Tailor <ratailor@redhat.com> 12.4.0-6
- Lift restriction of choices for 'cpu_model_extra_flags' (rhbz#1579691)

* Tue Jul 24 2018 Jon Schlueter <jschluet@redhat.com> 12.4.0-5
- Add aggregate metadata unset support to nova_aggregate
- Expose reserved_huge_pages param

* Tue Jul 24 2018 Martin Schuppert <mschuppert@redhat.com> 12.4.0-4
- Allow live_migration_inbound_addr to be used with non-default port/user/extra_params (rhbz#1576750)

* Tue May 01 2018 Oliver Walsh <owalsh@redhat.com> 12.4.0-3
- Expose rx/tx_queue_size (rhbz#1571737)

* Tue Apr 24 2018 Jon Schlueter <jschluet@redhat.com> 12.4.0-2
- Handle libvirt/cpu_model_extra_flags option
- Add the option to only aggregate hosts that are known by openstack to be active

* Thu Mar 29 2018 RDO <dev@lists.rdoproject.org> 12.4.0-1
- Update to 12.4.0

* Wed Feb 21 2018 Haikel Guemar <hguemar@fedoraproject.org> 12.3.0-1
- Update to 12.3.0


